C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C                                                                              +
C   PROGRAM NAME     - MOVERHO                                                 +
C                                                                              +
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C                                                                              +
C   DESCRIPTION:                                                               +
C                                                                              +
C           MAIN PROGRAM TO TEST THE SUBROUTINE OVERHO.                        +
C                                                                              +
C   MODULES REQUIRED:                                                          +
C                                                                              +
C       -  SUBROUTINE    OVERHO                                                +
C                                                                              +
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
      PROGRAM MOVERHO
C
C                        ... SPECIFICATIONS FOR VARIABLES AND CONSTANTS
C
      INTEGER I, IER, INIT, MAXCOL, NBC
      DOUBLE PRECISION EPS, T, VINIT
C
C                        ... SPECIFICATIONS FOR PARAMETER CONSTANTS
C
      PARAMETER (MAXCOL=3, NBC=10, EPS=1.0D-30)
C
C                        ... SPECIFICATIONS FOR VECTORS AND MATRICES
C
      DOUBLE PRECISION V(0:MAXCOL)
C
C                        ... EXECUTABLE STATEMENTS
C
      WRITE (*,*) ' OUTPUT RESULTS FROM MOVERHO'
      WRITE (*,100) ' ITERATION', 'VINIT INPUT', 'VINIT OUTPUT'
      INIT = 0
C
      DO 10 I = 1, NBC
         T     = 1.0D0/DBLE(I)
         VINIT = T
C
C                        ... CALL OVERHO
C
         CALL OVERHO (V, MAXCOL, INIT, EPS, VINIT, IER)
C
         IF (IER .NE. 0) THEN
            WRITE (*,*) ' STOP DUE TO IER =',IER
            IF (IER.EQ.100) 
     *        WRITE (*,*) ' DIVISION BY ZERO IN THE SUBROUTINE OVERHO'
            STOP
         END IF
C
         WRITE (*,*) I, T, VINIT
   10 CONTINUE
      WRITE (*,*)
      WRITE (*,*) ' LAST V VECTOR'
      WRITE (*,*)
      WRITE (*,*) (V(I), I=0,MAXCOL)
C
  100 FORMAT (/T3,A,T27,A,T51,A/)
      STOP
      END
